cURL
curl --request GET \ --url https://api.embedreach.com/api/subscriptions/{externalId}
{ "success": true, "message": "<string>", "data": { "externalId": "<string>", "emailOptOut": true, "phoneOptOut": true, "emailSubscriptionChangeSource": "<string>", "smsSubscriptionChangeSource": "<string>", "emailSubscriptionChangeAt": "<string>", "smsSubscriptionChangeAt": "<string>", "lastSubscriptionChangeAt": "<string>" } }
Get subscription information for a specific user by their external ID
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
The external ID of the user
Status 200 response
Show child attributes
The external id of the user
Whether the user has opted out of email
Whether the user has opted out of phone
The source of the email subscription change
The source of the sms subscription change
The date and time of the email subscription change
The date and time of the sms subscription change
The date and time of the last subscription change